ExportControllerGetExportResult Method |
GET /Export/Result/{0}
Retrieves the result of an export.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Result")]
public IActionResult GetExportResult(
Guid id,
bool isDownloadLink = true,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Result")>
Public Function GetExportResult (
id As Guid,
Optional isDownloadLink As Boolean = true,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Result")]
IActionResult^ GetExportResult(
Guid id,
bool isDownloadLink = true,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Result")>]
member GetExportResult :
id : Guid *
?isDownloadLink : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _isDownloadLink = defaultArg isDownloadLink true
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The export result ID. - isDownloadLink (Optional)
- Type: SystemBoolean
A value which indicates whether the response should have a content disposition for interactive downloading. True by default. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultThe export result.
See Also